package com.autentia.workflow.conditions;

import java.util.Map;

import com.opensymphony.module.propertyset.PropertySet;
import com.opensymphony.workflow.Condition;
import com.opensymphony.workflow.WorkflowException;
import com.opensymphony.workflow.spi.WorkflowEntry;

public class CheckStock implements Condition {

	public boolean passesCondition(final Map transientVars, final Map args, final PropertySet propertySet)
			throws WorkflowException {
		final WorkflowEntry entry = (WorkflowEntry)transientVars.get("entry");
		if (entry.getId() % 2 == 0) {
			return false;
		}
		return true;
	}

}
